using System;

namespace Takmicenje1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int m = int.Parse(Console.ReadLine());
            string n1 = n.ToString();
            string m1 = m.ToString();
            string resenje = "";
            string duzi = "";
            string kraci = "";
            if (n1.Length >= m1.Length)
            {
                duzi = n1;
                kraci = m1;
            }
            else if (m1.Length > n1.Length)
            {
                duzi = m1;
                kraci = n1;
            }
            for (int i = kraci.Length; i > 0; i--)
            {
                if (kraci[i - 1] > duzi[i - 1 + (duzi.Length - kraci.Length)])
                    resenje = kraci[i - 1] + resenje;
                else if (kraci[i - 1] < duzi[i - 1 + (duzi.Length - kraci.Length)])
                    resenje = duzi[i - 1 + (duzi.Length - kraci.Length)] + resenje;
                else
                    resenje = (duzi[i - 1 + (duzi.Length - kraci.Length)] - 48).ToString() + (kraci[i - 1] - 48).ToString() + resenje;
            }

            for (int i = (duzi.Length - kraci.Length - 1); i >= 0; i--)
                resenje = duzi[i] + resenje;
            Console.WriteLine(resenje);

        }
    }
}